Option | Description | Values | Default
--- | --- | --- | ---
coreData | Should generate core data models |  | false
classPrefix | prefix for generated classes (convention: Abbreviation of pod name e.g. `HN` for `HackerNews`).` |  | OAI
podName | cocoapods package name (convention: CameCase). |  | OpenAPIClient
podVersion | cocoapods package version. |  | 1.0.0
authorName | Name to use in the podspec file. |  | OpenAPI
authorEmail | Email to use in the podspec file. |  | team@openapitools.org
gitRepoURL | URL for the git repo where this podspec should point to. |  | https://github.com/openapitools/openapi-generator
hideGenerationTimestamp | Hides the generation timestamp when files are generated. |  | true

##
IMPORT MAPPING

Type/Alias | Imports
--- | ---

##
INSTANTIATION TYPES

Type/Alias | Instantiated By
--- | ---
array | NSMutableArray
map | NSMutableDictionary

##
LANGUAGE PRIMITIVES

- NSNumber
- NSObject
- NSData
- bool
- BOOL
- NSURL
- NSString
- NSDate

##
RESERVED WORDS

- struct
- auto
- _packed
- queryparams
- extern
- do
- float
- while
- resourcepath
- protocol
- readonly
- else
- continue
- unsafe_unretained
- property
- requestcontenttype
- id
- if
- nsinteger
- responsecontenttype
- case
- pathparams
- void
- static
- sizeof
- double
- authsettings
- signed
- nonatomic
- formparams
- typedef
- enum
- headerparams
- bodyparam
- strong
- const
- for
- nsnumber
- retain
- description
- interface
- long
- switch
- weak
- default
- goto
- localvarfiles
- class
- cgfloat
- break
- implementation
- volatile
- nsobject
- union
- int
- char
- short
- unsigned
- readwrite
- return
- register

Last updated on 1/9/2020